2-23-95
* Added lynx help files to distribution in an effort to get users to use
  their own file systems instead of our overworked server.  "About Lynx" 
  points to UKANS for updates, new, etc.
* Added -DUNIXWARE to the unixware library compiles.  Somebody added an
  #ifdef UNIXWARE to HTTCP.c without defining it in the library compile.
2-13-95
* Updated lynx.man and lynx help files to correspond with lynx2-3-7 - CL
12-15-94
* More fixes in LYno_attr_char_case_strstr() and LYno_attr_char_strstr() - FM
* People didn't like having to erase the default WHEREIS ('/') search string
  when it wasn't what they wanted in a new document (though most didn't know
  that it can be done easily via ^U), and Lynx doesn't have real editing via
  LYgetstr() (just deletion from the end of the string), so I got rid of the
  the editing offer.  The previous search string is still buffered across
  document fetches, and can be used across documents via NEXT ('n').  You
  also can use WHEREIS without a search string entry to turn off highlighting
  within the current document, and then NEXT to restore it.  If control-G is
  used instead of a blank string to cancel a WHEREIS command, it does not
  turn off the highlighting.  So everything everyone asked for is now
  possible (once you figure out how to do it 8-). - FM
12-14-94
* Oops!  Fixes in tcp.h for MULTINET with DECC/VAX had left SOCKET_ERRNO
  undefined for all the other VMS TCPIP packages.  That's what I get for
  working on this stuff too late at night. - FM
* Additional ANSI compliance fixes in HTTCP.c for builds with DECC/VAX and
  non-MULTINET VMS TCPIP packages. - FM
12-13-94
* Modified searches for strings within the currently displayed document
  ('/', as opposed to 's' for ISINDEX searches) so that the highlighting of
  the search string is not retained when the current document is changed,
  and added recall buffering of the search string so that it's offered as
  the default for editing or reuse on subsequent '/' commands.  Also, we
  now force redraws on invokations of such searches so that hits will be
  highlighted even if they occur on the current page.  Links with hits such
  that they have embedded highlighting of the search strings will not have
  the embedded highlighting restored when the cursor is moved onto and then
  off of them (helps to distinguished whether it's intended or the due to
  the search), but will be restored whenever the page is redrawn.  All
  embedded highlighting also is restored when the 'n'ext command is used to
  repeat the search in the current document, even if the returned hits do not
  cause a page change.  Note that these searches first search only the links,
  and position you on the first link with a hit occurring after the current
  link.  If there were no hits in the links, then the text is searched and
  the first hit occurring after the current link is positioned at the top of
  the page.  They never did, and still do not, search both the link and text
  portions of the document simultaneously.  Also note that ISINDEX searches
  never have and still do not yield highlighting of the query string(s) in
  the returned document.
* Fixed LYno_attr_char_case_strstr() and LYno_attr_char_strstr() in
  HTStrings.c so that they properly ignore any attribute characters in
  the comparison string and return a pointer to the correct location
  of a match with the target string. - FM
12-12-94
* Modified FTP gateway to display 230- as well as 250- information/help
  messages, and on non-Unix as well as Unix systems. - FM
--- RELEASE of 2.3.7 BETA ---
12-11-94
* Further tweeked explanatory comments in the configuration and samples
  files, and updated the instruction files. - FM
12-09-94
* Modifed PassesTest() in HTInit.c to avoid the overhead of system() calls
  by using getenv() when   test -n "$DISPLAY"   and   test -z "$DISPLAY" 
  commands are encountered in the mailcap file.  Otherwise, needlessly
  expensive system() calls potentially could be made for virtually every
  viewer mapping in that file!.  For Lynx, those two strings in the mailcap
  file now are equivalent to the :XWINDOWS and :NON_XWINDOWS flags,
  respectively, for VIEWER: assignments in lynx.cfg. - FM
* Also modified PassesTest() so that it simply treats  test -n "LYNX_VERSION"
  as success.  Why spawn a system() command to see if Lynx is running, when
  it obviously is!.  However, that string can be included in the mailcap
  file for assignments that should be restricted to Lynx if other software
  also uses the file. - FM
* The above two mods make it unnecessary to actually use a "test" script for
  differentially setting viewers in XWINDOWS versus NON_XWINDOWS environments,
  so VMSers also can use the mailcap files for differential assigments of
  viewers, without those DCL error messages about "test" which have been
  mystifying so many people.  However, yesterday's mods do make it possible
  for VMSers to use a "test" script for checking other environment or system
  features, and thereby setting viewer switches differentially, analogously
  to the command line switches for Lynx itself. - FM
* Modified comments in samples/mailcap to indicate these enhancements. - FM
* Modified comments in userdefs.h to describe correctly what the Lynx code
  does as of v2.3:  Any SUFFIX or VIEWER mappings in lynx.cfg will be
  overridden in src/HTInit.c if they also appear there.  Then, any mappings
  in mime.type or mailcap will override those from lynx.cfg and src/HTInit.c.
  The XLOADIMAGE definition is used in src/HTIinit.c, and you can use
  mailcap, but not lynx.cfg, to override it. - FM
* Modified comments in lynx.cfg and samples/lynx.cfg to indicate what Lynx
  really does, and the use of mailcap files to do what lynx.cfg had claimed
  it could do but doesn't. - FM
* Fully implemented multiple submit button support for both POST and GET
  forms. - FM
* Added LYK_RESUBMIT keymap (with default binding to 'x' and 'X') for forcing
  submissions of forms to servers (i.e., never use cache).  LYK_ACTIVATE
  (with default binding to right-arrow and <return>) still fetches from cache
  if available.  Statusline help describes these commands when positioned
  on a submit button. - FM  
12-08-94
* Fixed HText_submitForm() in GridText.c to handle submitting INPUT types
  (e.g., type="image") which have name/value pairs. - FM
* Modified DCLspawn to recognize -1 on failure and 0 or 1 on success as
  return or exit values of scripts, and report -1 or 0 as it's own return
  value.  If a "test" script is used on VMS in conjunction with .mailcap
  for setting viewers, it should return -1 if the test fails and 0 or 1 if
  it passes (the "test" script can be DCL or an exectutable, and should be
  defined as a foreign command).  If you don't have a "test" script, don't
  include that instruction in .mailcap. - FM
* The tmpaddress pointer in do_www_search() of GridText.c needed to be
  initalized to NULL. - FM
12-07-94
* Made sufficiently ANSI compliant to build with DECC on VMS without using
  the /stand=vaxc qualifier, and further modified so that Lynx will build
  and run (extremely well 8-) with DECC/VAX.  Whooh, that took some doing!
  These mods are also desireable for builds on Unix. - FM
12-02-94
* Fixed the query recall buffer in do_www_search() of GridText.c to restore
  the +'s to spaces and unescape properly. - FM 
* Include file and define fix ups, for SOCKETSHR/NETLIB support and convex
  builds, in tcp.h, LYShowInfo.c and top level Makefile. - FM
11-27-94
* Fixed bugs associated with failure to check the post_data element in
  addition to the address element when making push/pop decisions for the
  history stack, and when checking whether a requested document has been
  loaded successfully.  The address element is insufficient for documents
  returned by POST'ed forms. - FM
* Check -trace switch earlier in LYMain.c so that trace messages associated
  with setting up the Lynx configuration will actually be displayed. - GL
11-23-94
* More fix ups for the SOCKETSHR/NETLIB support. Close to "all set" but needs
  more field testing with the full range of TCPIP packages for VMS. - FM
* Added HP_TERMINAL define for the DIM workaround to the REVERSE problem with
  HP terminals.  If not defined, SNAKE builds will not make that substitution
  (would be better to do this in a way that checks the terminal at run time,
  but we'll hold off on that for now). - FM
--- RELEASE of 2.3.6 BETA ---
11-21-94
* Replaced <ucx$inetdef.h> with "socketshr_library:ioctl.h" for the
  SOCKETSHR_TCP builds.  Note that the ioctl.h is not presently included
  in the binary distribution of SOCKETSHR/NETLIB.  You have to get it from
  the sources distribution. - FM
11-18-94
* Added Andy Harper's (A.Harper@bay.cc.kcl.ac.uk) "first round" support for
  SOCKETSHR/NETLIB (see SOCKETSHR.ANNOUNCE).  Note that it is presently
  including <ucx$inetdef.h> which is not provided with SOCKETSHR or NETLIB
  source sets, and may not be available to non-UCX sites.  We're checking
  into how to deal with that. - FM
* Made recall buffering of shortcuts for the 'J'ump command a configuration
  file option (in userdefs.h and/or lynx.cfg). - FM
* Added clearerr() before the GetChar() in LYStrings.c. - FM
* Made the optional novice help lines conform to the "standard default"
  key bindings.  Edit them appropriately in userdefs.h if you plan to use
  other bindings with that feature.
* Added George Lindholm's (lindholm@ucs.ubc.ca) Makefile patch for making it
  just a tad easier to set up local compile options. - FM
* Eliminated serial free() in LYSanctify() of LYGetFile.c. - FM
* Restricted all "hack to fix reverse clear screen problem" code to
  SUN4 (had missed one 8-). - FM
11-15-94
* Eliminated separate list and atexit deletions of redirecting anchors. - FM
* Added Rick Dyson's (Dyson@IowaSP.Physics.UIowa.EDU) updates of the
  descrip.mms files. - FM
11-12-94
* Worked in Malcolm MacArthur's (mcscs2mm@zippy.dct.ac.uk) mods for reading
  a printer's page length from the configuration file and calculating the
  correct number of pages for the statusline query on whether to continue
  if the document is longer than 4 printer pages.  Further modified that
  code to use the current LYlines for the computation when the built in
  "print to screen" option is selected.  See the comments concerning
  "PRINTER:" definitions in lynx.cfg for more information. - FM
* Fixed HTInetStatus() in HTTCP.c to use SOCKET_ERRNO instead of errno,
  based on the platform/transport-specific definitions in tcp.h.  Thanks
  to Danny Mayer (mayer@ljo.dec.com) for tracking down this glitch. - FM
11-10-94
* Added David Trueman's latest clever enhancement:  The command line option
  -homepage=URL separates the notion of a home page (or main screen) from
  the start file.  So,  lynx -homepage=URL1 URL2  will start up with URL2
  but the MAIN_MENU key will take the user to URL1 rather than URL2.  This
  is useful for public accounts that start up with an information page or
  form, that then leads the user to a URL for the actual home page.  The
  MAIN_MENU key can thereafter be used whenever the user wishes to return
  to the actual home page. - FM
* Enlarged string buffer in LYEdit.c to handle large paths. - FM
* Made 'K'eymap title and descriptions easier to edit for alternate languages
  (e.g., Dutch or Greek) as required by Dick Wesseling (but, alas, the editing
  still has to be done in LYKeymap.c, because it's too much to move into
  userdefs.h; someday Lynx will have real internationalization code 8-) - FM
* Added titles to tops of jumps files so that the nesting level will be reset
  on reloads. - FM
11-09-94
* More prototyping and include file fixes in LYJump.c and LYMainLoop.c - FM
11-08-94
* Prototyping fix in LYJump.c. - FM
* Miscellaneous fixes in src/descrip.mms. - FM
* Hadn't included patch for latest LYUtils.c in lynx2-3-5.patches. - FM
11-07-94
* At popular request (already 8-), changed the "Jump to:" query to work
  exactly like the "goto:" query.  The previous entry is recalled, a '?'
  must be entered explicitly to fetch the shortcut list (with an instruction
  about that added to the prompt), and a blank entry or Control-G returns
  the user to the current document. - FM
--- RELEASE of 2.3.5 BETA ---
11-05-94
* Numerous wonderful enhancements based on patches from David Trueman, and
  entensions of those mods.  Briefly:
* Implemented 'K'eymap command for showing all of the key bindings currently
  in effect, with a description of their functions.  This is faster and
  more helpful than the online help's description of the default key
  bindings.  Must be uppercase 'K' if VI keys are ON, otherwise the command
  is case-insensitive.  Try it, you'll love it! - FM
* Implemented 'J'ump command for using "shortcut" names to access URL's in a
  local "jumps.html" file that has a sorted <DL> list which maps each target
  (shortcut) <DT> to it's full URL <DD> (see the sample jumps files added to
  the distribution).  The URL's could be local or remote resources, or
  lynxexec or launch file URL's for system utilities (e.g., the shortcut
  "news" could invoke the news reader, "mail" the mail utility, "swing" the
  VMS File/Directory Management Utility, etc.).  This feature is enabled by
  defining JUMPFILE in userdefs.h or lynx.cfg, and can be disabled via at
  run time via -restrictions=jump as a commandline switch.  Must be uppercase
  'J' if VI keys are ON, otherwise the command is case-insensitive.  Try it,
  you'll love this too! - FM
* Added a CHECKMAIL symbol which if set TRUE in userdefs.h or lynx.cfg will
  report the existance of unread mail at Lynx startup, and arrivals of new
  mail, via statusline messages.  VMSers can block unsoliticed system NEWMAIL
  screen broadcasts ($ SET BROADCAST/NOMAIL) when using this feature.  It
  can be disabled at run time via the -restrictions=mail switch, which also
  disables standard mail functions in Lynx, but still allows 'J'umps via a
  "mail" shortcut to a lynxexec URL for a script which could perform security
  functions before permitting or rejecting access to the mail utility.  The
  hackers will really love this! - FM
* Added ability to toggle the novice help line to show all of the principle
  commands. - FM
* Miscellanous bugs and memory leaks found and fixed in conjuction with
  adding and enhancing the above features. - FM
* The code may need some tweeking to build and run properly on some flavors
  of Unix (appears to be all set for VMS). - FM
11-01-94
* Fixed bug if editor is dereferenced. - David Trueman (david@cs.dal.ca)
* Enable alternate boxing of popup windows via defines for BOXVERT and
  BOXHORI in userdefs.h - Dick Wesseling (ftu@fi.ruu.nl)
* Check for LYCursesON before making any Curses calls in cleanup() - DW
10-31-94
* Looks like the last of the problems deleting anchors has been solved
  by Dick Wasseling, so the bypass is lifted again. - FM
* If CANT_EDIT_UNWRITABLE_FILES is defined on Unix, write access is
  required to edit files (write and delete access are always required
  on VMS). - Alex Whittaker (alex@biu.icnet.uk)
* Moved "Press <return> ..." text to userdefs.h. - AW
10-28-94
* Uncache documents or bookmark file before reloads (via Control-R or
  'r'emove command) in LYMainLoop.c. - FM
* Uncache showinfo display or print, download, option, etc, menus before
  reloading those in GridText.c. - Dick Wesseling (ftu@fi.ruu.nl)
* Above two fixes still don't completely solve the anchor deletion problem,
  so we're still bypassing.
* Enable iso entity translations inside TITLEs - DW
10-26-94
* Problems when deleting anchors have been reported, apparently for
  documents which have been (re)loaded with LYforce_no_cache.  So,
  we'll retore the bypass until that problem is tracked down. - FM
10-25-94
* Added coded for disabling mail for -anonymous via CAN_ANONYMOUS_MAIL in
  userdefs.h, and via -restrictions=mail (default is enabled). - FM
10-21-94
* Added Danny Mayer's (mayer@ljo.dec.com) samples/lynx.com - FM
10-05-94
* Modified tcp.h to deal with conflicting typedefing in the MultiNet
  types.h and time.h versus those for DECC. - FM
* Define FANCY_CURSES for linux-ncurses. - FM
09-30-94
* -restrictions help list in LYMain.c should indicate "option_save" (not
  "options_save") for disabling the saving of options in .lynxrc. - FM
09-29-94
Mods based on patches from George Lindholm (lindholm@ucs.ubc.ca) - FM:
* Fixed problem when IGNORE_CTRL_C is defined, that was created by the
  fix for runaway processes on Unix when undetected terminal disconnects
  occurred.
* Added options to disable rlogin and/or ftp access.
09-28-94
* Use "hack to fix reverse clear screen problem" in GridText.c if SUN4 is
  defined (still need clarification on the exact nature of the problem
  to decide if this is the best way to handle it; it bothers me to have
  this kind of hack in the code 8-) - FM
Mods based on patches from George Lindholm (lindholm@ucs.ubc.ca) - FM:
* Move the "quit" text to userdefs.h from LYMainLoop.c for easier
  customization.
* Typo fix for buttons submit value in GridText.c
* Renable SIGINT signal for SVR4 machines if control-c is to be ignored
  when editing.
* Solaris fixes for LYCurses.h.
* Recognize pico as a special editor.
* Fix -restrictions help text.
* Fix -telnet and -news options so that they actually do something.
* Fix upload code so that you can have more than one uploader option,
  and fix for freeing a static variable.
* Various prototype fixes.
* -editor command line option signals that the editor can't be changed.
* Added a SYSTEM_EDITOR option to lynx.cfg for a locked editor.
--- RELEASE of 2.3.4 BETA ---
09-27-94
* Alas!  I think I've tracked down and fixed all the bugs that were causing
  ACCVIOs/CoreDumps if anchors were deleted/freed when freeing the cached
  documents.  So now we do delete/free them.  This plugs a major memory
  leak in Lynx (which we knew about, but heretofore had to live with). - FM
* Added Danny Mayer's (mayer@ljo.dec.com) fix so that MIME types are handled
  case-insensitively. - FM
* Restored text/html (WWW_HTML) as the default MIME type when an HTTP/1.0
  server fails to send it in the headers.  This happens because it's the
  default in Mosaic and developers using that don't realize their server or
  script code is failing to send it (other MIME types will be caught as an
  error, and the code will be fixed by the developers).  Garrett's change to
  application/octet-stream (WWW_UNKNOWN) was technically correct.  You can
  change it back to that where indicated in HTMIME.c if you prefer that Lynx
  be technically correct but functionally wrong when dealing with this
  situation. - FM
--- RELEASE of 2.3.3 BETA ---
09-22-94
* Finished up redirection handling.  Will now handle serial redirections
  across multiple sites (with an arbitrary limit of 10, to prevent the
  possibilily of an infinite loop of circular redirections), works properly
  with redirections via the VALUE fields of OPTION tags, and no longer alters
  any anchor addresses, avoiding all the problems that caused in the hash
  table. - FM
* Worked in Rick Mallett's (rmallett@ccs.carleton.ca) fix for runaway
  processes on Unix when undetected terminal disconnects occur. - FM
* Added Eric Jon Rostetter's (ERIC@uoft02.utoledo.edu) code for proper
  keyboard handling with DEC eightbit terminals. - FM
* Added David Greer's (david_greer@robelle.com) mods for curses on
  HP terminals. - FM
--- RELEASE of 2.3.2 BETA ---
09-17-94
* More fix ups of forms structure handling, freeing and redirecting. - FM
* Fixed problem with free's of startfile, thanks to Dick Wesseling
  ftu@fi.ruu.nl - FM
09-14-94
* More memory leak and redirection fix ups (still not perfect). - FM
* Various mods to speed up memory management with VAXC on VAXen (still
  slow compared to DECC on AXPen). - FM
09-13-94
* If an ISINDEX document is one returned by a previous search, the 's'
  command puts up the query which returned it, for editting as a new query
  (use Control-U to erase, Control-G to abort)  Otherwise, no string is
  offered in the prompt for a database query.  If the previous query is
  submitted without modification, a message to use Control-R to resubmit
  the same query is display (so that the search will not be repeated
  inadvertantly). - FM
09-12-94
* Fixed failure to load the popped menu properly when a gopher search was
  selected and a NULL string, Control-G, or arrow key is entered to cancel
  the prompt for a query. - FM
* Hit lists/documents returned by ISINDEX searches are now always displayed
  at their tops.  They no longer inherit, inappropriately, the page and link
  numbers of the previous list/document. - FM
09-11-94
* Fixed redirection handling so that the hash tables are updated and the
  history stack works properly, including with forms that have VALUE
  fields in OPTION tags that return Location: URL's for searches (e.g.,
  the CUSI forms at Nexor).  Whew, that took some doing! - FM
09-05-94
* Fixed up remaining problems with <OPTION VALUE="foo"> handling and the
  associated popup window positioning and scrolling. - FM
* Fixed bugs and several inadequacies in the history structure and code
  (still needs some redesigning to deal more effectively with all aspects
  of documents returned by forms and/or redirection). - FM
* Now deals properly with anchors in a single document returned by
  a form. - FM
* Command line file specs on VMS can now be any valid explicit, wildcarded,
  partial, or relative VMS specification, and will be converted to a valid
  file://localhost/ URL, so that partial or relative URL's within the file
  also will be interpretted properly. - FM
* Now trims trailing white space and won't get tripped up by '=' characters
  when reading configuration files. - FM
* Miscellaneous bug fixes and enhancements. - FM
* Tracked down and eliminated more memory leaks. - FM
--- RELEASE of 2.3.1 BETA ---
7-08-94
* Correction handling of <OPTION VALUE=""> implemented.
* Miscellaneous bugs corrected.
6-17-94
* Option to log memory leaks at exit by defining LY_FIND_LEAKS at compilation.
6-17-94
* Check amount of allocated memory, rather than just number of documents
  cached, before deciding to remove the oldest document (implemented for
  VMS with VAXC, not yet for Unix or VMS with DECC).
6-16-94
* VMS bookmark file version numbers are reset on additions of bookmarks.
6-16-94
* Gopher URL's with /hGET%20/ are converted to http URL's, as in the UMN
  Unix/VMS gopher+ client.
6-16-94
* Added DIRECT_WAIS support for VMS
6-16-94
* Added build support for VMS TCPWare TCP/IP
5-28-94
* Increased nesting of HTML elements from 40 to 400.  Hopefully this will limit
  won't be encountered often.
5-28-94
* Modified for handling of Telnet URLs with spaces/other characters in the
  username.
5-26-94
* Began terminating memory leaks with extreme predjudice.
5-24-94
* WAIS searches will now work when they are of type "www/present" as opposed
  to only viewing the source.
5-23-94
* Added VMS CMU TCP/IP support, thanks to Andy Harper.
--- RELEASE of 2.3 ---
5-19-94
* Better memory allocation routines used for some VMS systems.
5-19-94
* Non-interactive (-source) access to documents requiring access authorization
  not allowed to avoid crashes.
3-30-94
* Lynx exports the environment variable LYNX_VERSION on UNIX systems
  with the current version number as the value.
3-29-94
* added "action=" handling to ISINDEX tags.  (Is that in the spec?)
3-27-94
* fixed Telnet security problem
3-19-94
* added .mailcap and mailcap support as well as mime.types support
  for the configuration of viewers and extension mappings.
  The test command is now implemented so that viewers can be conditionally
  setup.
3-17-94
* Revamped the FTP code to recognize different server types and to parse
  full directory listings (LIST output).  File types, sizes and dates
  are displayed when possible.
3-16-94
* added transparent support for mosaic bookmark files.  Just point
  Lynx at your existing default mosaic bookmark file and Lynx will
  handle the rest.  Viewing, addition, and removal are supported.
3-15-94
* added second line of reverse video to show multiline links better.
3-10-94
* added configurable MIME types and viewers to lynx.cfg.  MIME types
  and VIEWERS can be configured by following the instructions within
  the newest lynx.cfg file.
3-?-94
* added second %s argument to PRINTER and DOWNLOADER definitions.
  If a second %s is present in the command definition it will be
  filled in by a suggested filename which is derived from the URL
  of the document.  See lynx.cfg for more details.
3-?-94
* got code from CERN to fix HTBTree FTP bug.  Large ftp lists should
  not crash anymore.
3-9-94
* added no_proxy environment variable.  set it to a comma delimited list
  of domains or hosts that should not be proxyed. (Thanks CERN :)
  USAGE: (UNIX)
     setenv no_proxy "domain1.dom, domain2.dom, domain3, etc"
3-?-94
* Fixed Referer: field handleing so that it doesn't crash on really
  long URL's
3-?-94
* True popup menus are now supported for non-multiple <select> lists.
2-28-94
* fixed the delete-a-bookmark command and bound it to 'r' for remove.
  (thanks to David Trueman for the fix)

---------- RELEASE of 2.2 ------------------
2-9-94
* added 'd' for download current link.  Can be used to force a download
  of any file.
* 'r' removed as a comment key.  Use 'c' or reconfigure your keys to
  add 'r' back in.  (I would like to use 'r' in the future to mean
  remove current bookmark link)
* Found the bug in the HTTP redirection code that was causing it
  not to work.  So HTTP redirection appears to work now!
* Added Referer: header to HTTP requests to list the URL of
  the document listing the requsted URL.   Here's an extract from CERN:
     This optional header field allows the client to specify, 
     for the server's benefit, the address ( URI ) of the document 
     (or element within the document) from which the URI in the 
     request was obtained. 

     This allows a server to generate lists of back-links to documents, 
     for interest, logging, etc. It allows bad links to be traced 
     for maintenance.

2-8-94
* changed novice line to be displayed on bottom two lines with the
  status line moved up two lines.
1-27-94
* Made configurable keymappings a reality.  Keys can be remapped in
  the lynx.cfg file.  (diffs from David Trueman)
* Got code from Foteos to make 'a' work for VMS connection interrupts.
1-24-94
* Moving closer towards configurable keymappings.  New keyhandleing
  code will make it very easy to implement. (diffs from David Trueman)
1-14-94
* Lynx FTP now supports PASV code. (fixes to CERN (Dave Raggert?) PASV code
  from John Ellson)  It is not enabled by default.  Line 43 in
  WWW/Library/Implementation/HTFTP must be commented out for
  PASV code to be used.  This was done because not all FTP sites
  can support PASV FTP.
1-13-94
* slight change in forms user interface.  For the better, I hope you will
  agree.  Text input fields are now active as soon as the cursor pointer
  is over them.  Therefore you may begin typing into the text field
  as soon as you come to it.  Tab, and up and down arrow keys will
  move off of the text input field.  The only problem with this is as
  follows.  If you are in the habit of using the number keys (keypad)
  the or h,j,k,l vi keys, as soon as you move over the text link
  you will begin seeing numbers or hjk or l show up in the text field.
  In other words, your movement commands are now broken :(  You must
  use true arrow keys or the tab key to move off of the text field.
  I've tried this out and it seems to work alright.  I don't think
  that users unfamiliar with this will have too hard a time figureing
  it out.  Once you see numbers or letter appearing it becomes fairly
  obvious whats going on.  I'll put a message at the bottom of the
  screen saying "use tab or arrow keys to move off of link."
* added mods by David Trueman to implement -restrictions commandline
  option.  -restrictions allows a list of services to be disabled
  selectively. -restrictions takes the form of
  "lynx -restrictions=[default],[all],[inside_telnet],[outside_telnet],[shell],\
	[editor],[bookmark],[option_save],[print],[file_url],[download],[exec]"

   all             restricts all options.
   default         same as commandline option -anonymous.  Disables
	           default services for anonymous users.  Currently set to,
	           all restricted except for: inside_telnet, outside_telnet, and
	           goto.  Defaults settable within userdefs.h
   inside_telnet   disallow telnets for people coming from inside your
		   domain.
   outside_telnet  disallow telnets for people coming from outside your
		   domain.
   shell	   disallow shell escapes
   editor	   disallow editing
   bookmark	   disallow changing the location of the bookmark file.
   options_save    disallow saving options in .lynxrc
   print           disallow most print options
   goto            disable the 'g' (goto) command.
   file_url        disallow using G)oto to go to file: URL's
   download        disallow saving binary files to disk in the download menu.
   exec            disable execution scripts
   exec_frozen     disallow the user from changing the execution link
		   setting in the O)ptions menu.
1-12-93
* added new more informative messages for form links.
1-11-93
* fixed -dump and -source options so that they work for
  binary files now.
* Interruptable I/0 now completely works for UNIX systems.
  VMS is next.  Just hit an 'a' for abort anytime during a
  transfer to abort.  If there is a partial file to show, it
  will be shown.
* Added command line option -show_curser.  If enabled the curser
  will not be hidden in the right hand corner but will instead 
  be positioned at the start of the currently selected link.
  show curser is the default for systems without FANCY_CURSES
  capibilities, and the default configuration can be changed in
  userdefs.h
1-9-93
* Added NNTP posting capibilities.  Currently uses external inews
  program which will be included in the utils directory.
  Would someone like to patch in some freeware inews code, or
  send me some?
1-7-93
* fixed bug in password handling which cuased it to be displayed
  accidentally :(  (Danny Mayer)
1-6-94
* bold and emphasis now use curses underlining to represent
  ephasized text.  The use of _underline_ chars before and after
  the text is now removed.
1-5-94
* Added configurable download menu so that binary files may
  be downloaded using any protocal.  Download menu is displayed
  after selecting a non-displayable file.
* Added exec links.  4 types currently defined:
    files ending in:  .csh, .ksh, .sh, (for UNIX)  and .com (for VMS);
  Use exec link controls to turn on and off exec links.
* Gopher menues are now within <pre> so that spaces are not
  collapsed in menu entries.
* added configurable character sets.  Can be set in lynx.cfg
  by the user in the options screen or in the users .lynxrc file
  current sets are: ISO Latin I, IBM PC Character set, & 7 bit
  approximations.  New sets can be added to src/LYCharSets.c

----------RELEASE of Lynx 2.1 and 2.1.1----------------------
-grey area-
* Ability to FTP to VMS systems. (Foteos Macrides)
* Fixed lots of display and interupt problems (Foteos Macrides)
* The Lynx Bookmark file is now interpreted as an HTML document.  
  Old Lynx bookmark files must be converted using the lynx2html
  program or deleted.
* HTML+ forms as implemented by XMosaic now work. 
  fill in the empty spaces and press the submit button to
  submit the form.
* The <textarea> tag isn't done yet.  It will currently only
  give a one line text area.  The next version of Lynx will
  include a true textarea implementation once I figure out a
  reasonable interface.
* Incorporated WWWlib 2.14 and fixed up the descrip.mms files.
  Foteos Macrides made VMS port changes and wrote a really nice
  build.com script to make compilation on VMS systems really easy.
  Foteos also ported Lynx to OpenVMS for alpha axp systems. 
* 's' now means search a searchable indexed document through the
  server, and can no longer be used to search for strings within
  the displayed document.
* '/' now only searches through the current displayed document for
  strings and can not be used for searchable index documents.
* Capital 'Q' now quits without asking for confirmation.
* 'm' for Main Menu now askes for confirmation and does NOT clear
  the history stack.
* Blockquote style changed slightly.
* fixed bug with <a> and other tags messing up formatting
  withing <PRE> segments.
* Verbose Gopher option removed, verbose gopher functionality
  is now set permenantly on.
* Default editor is now configurable in the lynx.cfg file.
* Default bookmark file is now configurable in the lynx.cfg file.

12-15-93
* ownership is no longer inherited.
* <link rev="owner" href="mailto:ADDRESS"> now accepted as well as
  <link rev="made" href="mailto:ADDRESS"> to define the URL of the
  owner or person responsible for the info.
* 's' now only searches <isindex> server documents.
* '/' always means search within the document.

-grey area-
* still doing massive rewrite. Debugging!!

11-30-93
* anonymous users cannot change the bookmark page! (thanks to Jyrki Kuoppal for
  pointing out a security hole)

-grey area-
* massive rewrite.  Removed all Lynx internal format code and 
  restructured all the source files.

11-8-93
* added &nbsp; (non-breaking space), &ensp; and &emsp;

---------- RELEASE of 2.0.12 -----------------
11-1-93
* Change HTInit.c so that unsupported types are not sent out
  in accept parameters.  For non X screen only text/html and
  application/octet-stream are sent.

10-26-93
* descriptive title added to files mailed from lynx

10-25-93
* disabled FTP connection caching to help fix multiple FTP problems

10-23-93
* added preliminary level 1 forms support.

10-20-93
* fixed a bunch of gopher holes
* gopher lists are turned into URL's now instead of lynx
  internal format document links
* local documents ending in .html can now be referenced with
  just a filename and/or path from the command line.

10-19-93
* Added preloaded searches to gopher URL's.  They previously
  didn't work.  This is readily apparent as preloaded CSO
  searches, which alot of people wanted.
* removed old hytelnet compatibility code which looked in
  multiple directories to find the correct file.  If you still
  need this capibility talk to me.

10-12-93
* The users specified editor is now spawned for mail messages.
  If no editor is defined or if the user is anonymous, the built-in 
  lynx mail sender is used.

10-11-93
* changed all static data structures to be dynamic
  This was a pretty major change of code which may add several
  bugs.
* rewrote parse_links routine to make it more efficient and to
  work with dynamic structures.

10-6-93
* added progress messages to HTTP transfers.

10-5-93
* added -cache=# command line option to specify the number
  of WWW documents cached in memory.

9-28-93
* added VMS port fixes from Foteos Macrides.  Lynx now
  compiles and works on VMS!
* fixed ftp bug in WWWlib that didn't de-escape URL's before
  sending request to FTP server.

9-21-93
* fixed coredump bug for some files with no links.

9-3-93
* Moved many configuration options including printer setup to 
  lynx.cfg file.  The default placement of the lynx.cfg file
  will be /usr/local/lib & sys$public

9-1-93
* Removed STARTDIR variable from userdefs.h  STARTDIR is now inferred
  from the STARTFILE.

8-30-93
* Fixed bug with only one link selectable out of many on the last line
  of the display.
* Ported to SVR4 courtesy of Nickolay Saukh (from Russia, Wow this is
  really getting around!) 
* Uneditable documents don't get refetched. (Nickolay Saukh)
* National language support through LOCALE
  (instead of ISOLATIN1), protected by #ifdef LOCALE (Nickolay Saukh)

------Release of Lynx 2.0.11--------------------------------
8-27-93
* Caused major international incident when a large bug was discovered after
  release. :)
* Fixed internal document hypertext refernces with URL's.  '#selector'
  strings now work again.

8-24-93
* When files come through on pre HTTP/1.0 servers they are now
  recognized by their file extensions

8-23-93
* Lynx can now speak to old NCSA pre HTTP/1.0 servers
* fixed ALT bug that had to do with style changes not
  happening before the alt was printed.

8-21-93
* updated the man file lynx.1.

8-19-93
* updated help and converted it to HTML.  Made a new help location and
  server.  The new default help file is 
  http://kufacts.cc.ukans.edu/lynx_help/lynx_help_main.html

8-15-93
* changed '\' to toggle between source and no source.  When you press
  '\' while viewing a rendered HTML document you will get the HTML source
  when you press '\' while viewing HTML source you will get the
  rendered HTML.
* Added ALT attribute to IMG tag.  When ALT is available the contents
  are displayed.  When ALT is missing [IMAGE] is displayed.  When
  ALT="" nothing is displayed.

8-14-93
* Added document reload command.  CTRL-R when pressed will reload
  the document into memory and redisplay it, clearing the screen.
  This is very useful when editing documents, outside of Lynx while 
  using Lynx for rendering.
* Added source view mode.  '\' when pressed will reload the document
  and display the HTML source. (doesn't work for gopher directoryies right 
  now, but gopher isn't HTML anyways)
* fixed bug in LibWWW that caused it not to be able to convert to
  www/source.
* fixed bug in LibWWW that caused most binary file transfers to fail
* added binary file transfer ability.  When binary files are selected
  the user is prompted for a file name to save to.  The default directory
  is the one the user started in.
* Lynx now reloads local HTML files and re-renders them after editing.

??-??-??
* At some point I added the ability to edit HTML files on the local
  machine.  

8-12-93
* Added Nested Lists, up to six levels, with different bullets
  for each level.
* Due to the fact that nearly everyone seems to use <p> to mean
  two returns within the same style, and Mosaic has been kind 
  enough to support this meaning, :( :( :(  I have changed
  the <p> tag to reflect this interpretation.  <p> can be used
  anywhere and will mean insert two returns.  (i.e. two <br> tags)

8-11-93
* Made the default Mime type for unknown file types on ftp servers
  to be text/plain.  Previously the WWWLibrary had the default
  as application/octet-stream which meant that most files could not
  be viewed.
* Changed the ADDRESS style to be more like XMosaic
  Left flush, newline top and bottom
* The Statusline now displays the URL when retrieving files.
* added BR (linebreak) tag!
  The <br> tag inserts a line break and maintains the current style!
  The <br> tag may be used anywhere.
* added HR (horizontal rule tag!)
  The <hr> tag puts a horizontal line seperating two bodies of text.
  The <hr> tag may be used anywhere.

8-8-93
* All spaces, tabs and returns are now collapsed down do one
  space.
* fixed bug whiched caused certain links beginning at the
  begining of a line to be bad.
* added '*' (stars) to unordered lists and numbers to ordered
  lists.
* changed dir lists to be more like menu lists.
* all emphasis, physical and symantic, now have _underlines_
  around them to show emphasis.


RELEASE OF VER 2.0.10 -----------------------------------------------

7-8-93
Added [IMAGE] in all places where <IMG> tags appear.
added WWW_HOME environment variable support.
fixed searching in WWW.
removed tildas from mail messages for security reasons.
added emacs-like key defs.
changed gopher dir routines and Verbose format of directories

6-30-93
Forgot to put all kinds of bug fixes and stuff in here during the
past month.  I have been working on upgrading to the 2.X WWWlibrary
Today I changed 'g' to mean goto a url, and 'v' to be view the
bookmark page.

5-30-93
Fixed problem with ftp: URL not being recognized and not working.

5-28-93
Tried to remove the use of tabs and replace them with appropriate
spaces.  This was done to support brain dead curses packages that
don't handle tabs. (like linux)

5-20-93
Fixed socket problem which was causing a problem with telnet's
connecting

5-18-93
Fixed SUN curses problem, now works with the /usr/5lib routines

4-9-93
Added an option to turn on link numbering

4-7-93
Fixed read_rc() bug which caused .lynxrc files to be read incorrectly
Fixed file cacheing bug which only allowed searching to be performed
once.  (it cached the answer and displayed that each time a new
search was requested)

4-2-93
Fixed VMS I/O bug and TCP routines.

4-1-93
Ported 2.0 to VMS

3-17-93
Fixed a bug: Multiply defined procedure async_abort in
the files get_file and get_bin_file

3-16-93
Optomized Gopher TCP routines, increased speed by a factor of 10!

3-9-93
Added WWW support by integrating the WWWlib1.4

2-10-93
Added home page support and append features.

12-22-92
Added support for Image types using xloadimage for X-terminals.

12-1-92
Added gopher binary file types
